/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<miscutils.h>)
#  include <miscutils.h>
#endif
#if __has_include(<pathutils.h>)
#  include <pathutils.h>
#endif
#if __has_include(<systemutils.h>)
#  include <systemutils.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_haruna_utilities()
{
    qmlRegisterModule("org.kde.haruna.utilities", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<MiscUtils>("org.kde.haruna.utilities", 254);
    qmlRegisterTypesAndRevisions<PathUtils>("org.kde.haruna.utilities", 254);
    qmlRegisterEnum<PathUtils::ConfigFile>("PathUtils::ConfigFile");
    qmlRegisterTypesAndRevisions<SystemUtils>("org.kde.haruna.utilities", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.haruna.utilities", 254, 254);
}

static const QQmlModuleRegistration orgkdeharunautilitiesRegistration("org.kde.haruna.utilities", qml_register_types_org_kde_haruna_utilities);
